--- targets

create table targets (
    id number(19) primary key,
    project_id number(19) not null references projects(id),
    "type" varchar2(255) not null,
    enabled number(1) not null,

    reaction_time varchar2(255),
    response_time varchar2(255),
    inactivity_time varchar2(255),

    created_at timestamp with time zone not null,
    updated_at timestamp with time zone not null,
    deleted_at timestamp with time zone
);

create sequence targets_id_seq;

create unique index targets_project_ix on targets(project_id, "type");
